<div class="theme-wrapper">
  <div class="theme-card noselect">
    <div class="theme-header">
      <div class="header-title">
        {{ "DASHBOARD.SETTINGS.TITLE" | translate }}
      </div>

      <ion-button
        class="close-button-wrapper"
        size="small"
        color="dark"
        fill="clear"
        (click)="onClose()"
      >
        <ion-icon name="close-outline"></ion-icon>
      </ion-button>
    </div>

    <div class="theme-content">
      <ion-item-group class="data-group">
        <ion-item class="label-item">
          {{
            ("DASHBOARD.SETTINGS.PLAYER_ID_LABEL" | translate) +
              " " +
              (showPlayerNamesInsteadOfIdentification
                ? playerObj?.name
                : showMaskedPlayerIdentification
                ? getRandomPlayerName(playerObj)
                : playerObj?.id)
          }}
        </ion-item>
      </ion-item-group>

      <ion-item-group class="data-group">
        <ion-item class="input-item">
          <ion-range
            class="input-slider"
            aria-label="Temperature"
            min="0"
            max="100"
            [value]="volume() * 100"
            (ionChange)="onVolumeLevelChange($event)"
          >
            <ion-icon slot="start" name="volume-low-outline"></ion-icon>
            <ion-icon slot="end" name="volume-high-outline"></ion-icon>
          </ion-range>
        </ion-item>
      </ion-item-group>
    </div>
  </div>
</div>
